# POST /mj/submit/imagine

**Method**: `POST`
**Endpoint**: `/mj/submit/imagine`

Base64 array of reference images

## Request Parameters

### Header Parameters

```text
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}
```

### Body Parameters application/json

```text
base64Array
array
[string]
Optional
Base64 array of reference images
prompt
string
Prompt
Required
Example:
Cat
Example
{
"base64Array"
:
[
"string"
]
,
"prompt"
:
"Cat"
}
```

## Example Request

### Shell

```bash
curl --location --request POST '/mj/submit/imagine' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "base64Array": [
        "string"
    ],
    "prompt": "Cat"
}'
```

## Response

### 🟢 200 OK

**Content Type**: `application/json`

#### Response Schema

```text
code
integer
<int32>
Required
Status Code: 1 (submission succeeded), 21 (already exists), 22 (queued), other (error)
Example:
1
description
string
Description
Required
Example:
submission succeeded
properties
object
Extended Fields
Optional
result
string
Task ID
Optional
Example:
1320098173412546
```

#### Example

```json
{
    "code": 1,
    "description": "Submission succeeded",
    "properties": {},
    "result": 1320098173412546
}
```

### 🟢 201 Created

### 🟠 401 Unauthorized

### 🟠 403 Forbidden

### 🟠 404 Not Found
